#ifndef ASTEROIDE_H
#define ASTEROIDE_H

#include "Objeto.h"
#include "Vector3D.h"
#include "Model.h"

/**
 *  Los asteroides están todo el tiempo rotando alrededor de su eje que pasa por su centro.
 */
class Asteroide : public Objeto {
public:
	Asteroide();
	Asteroide(Vector3D pos, double radio);
	~Asteroide();
	void draw();
	void update();
	static Model * modelo;
	Vector3D centro;
	Vector3D eje;
	double velAng; // grados por unidad de tiempo
};

#endif
